
@import "bootstrap-sprockets";
@import "bootstrap";

/* mixins, variables, etc. */
$gray-medium-light: #eaeaea;

@mixin box_sizing {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* universal */
body{
  padding-top:60px;
}
section{
  overflow: auto;
}
textarea{
  resize:vertical;
}

.settings {
  display:flex;
  align-items:center;
}

.settings>*{
  margin-left:10px;
}

.center{
  text-align:center;
  h1{
    margin-bottom:10px;
  }
}

.float-left{
  float:left;
}
.float-right{
  float:right;
}

/* typography */
h1, h2, h3, h4, h5, h6{
  line-height:1;
}
h1{
  font-size:3em;
  letter-spacing: -2px;
  text-align: center;
}
h2 {
  font-size: 1.2em;
  letter-spacing: -1px;
  margin-bottom: 30px;
  text-align: center;
  font-weight: normal;
  color: $gray-light;
}
p {
  font-size: 1.1em;
  line-height: 1.7em;
}

/* header */
#logo {
  float: left;
  margin-right: 10px;
  font-size: 1.7em;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: -1px;
  padding-top: 9px;
  font-weight: bold;
  &:hover{
    color:#fff;
    text-decoration:none;
  }
}

/* sidebar */
aside {
  section.user_info {
    margin-top: 20px;
  }
  section {
    padding: 10px 0;
    margin-top: 20px;
    &:first-child {
      border: 0;
      padding-top: 0;
    }
    span {
      display: block;
      margin-bottom: 3px;
      line-height: 1;
    }
    h1 {
      font-size: 1.4em;
      text-align: left;
      letter-spacing: -1px;
      margin-bottom: 3px;
      margin-top: 0px;
    }
  }
}
.gravatar {
  float: left;
  margin-right: 10px;
}
.gravatar_edit {
  margin-top: 15px;
}
.stats {
  overflow: auto;
  margin-top: 0;
  padding: 0;
  a {
    float: left;
    padding: 0 10px;
    border-left: 1px solid $gray-lighter;
    color: gray;
    &:first-child {
      padding-left: 0;
      border: 0;
    }
    &:hover {
      text-decoration: none;
      color: blue;
    }
  }
  strong {
    display: block;
  }
}
.user_avatars {
  overflow: auto;
  margin-top: 10px;
  .gravatar {
    margin: 1px 1px;
  }
  a {
    padding: 0;
  }
}
.users.follow {
  padding: 0;
}



/* footer */
footer {
  margin-top: 45px;
  padding-top: 5px;
  border-top: 1px solid $gray-medium-light;
  color: $gray-light;
  a {
    color: $gray;
    &:hover {
      color: $gray-darker;
    }
  }
  small {
    float: left;
  }
  ul {
    float: right;
    list-style: none;
    li {
      float: left;
      margin-left: 15px;
    }
  }
}

/* forms */

input, textarea, select, .uneditable-input{
  border:1px solid #bbb;
  width:100%;
  margin-bottom:15px;
  @include box_sizing;
}

input{
  height:auto !important;
}

#error_explanation{
  color:red;
  ul{
    color:red;
    margin: 0 0 30px 0;
  }
}

.field_with_errors{
  @extend .has-error;
  .form-control{
    color: $state-danger-text;
  }
}

.checkbox{
  margin-top: -10px;
  margin-bottom: 10px;
  input[type="checkbox"]{
    width:auto;
    margin-left:0;
  }
  span {
    margin-left: 20px;
    font-weight:normal;
  }
}

/* miscellaneous */

.debug_dump {
  clear:both;
  float:left;
  width:100%;
  margin-top:45px;
  @include box_sizing;
}

/* Users index */
.users {
  list-style: none;
  margin: 0;
  padding:0;
  li {
    overflow: auto;
    padding: 10px 0;
    border-bottom: 1px solid $gray-lighter;
  }
}

.v-self-align {
  display:flex;
  align-self:center;
}

.v-align {
  display:flex;
  align-items:center;
}

.progress-bar-yellow {
  background-color: #FFF070;
}
.progress {
  margin-bottom:0;
}



#skills-list {
  .list-group-item {
    padding:0px;
    display:flex;
    overflow:hidden;
  }

  .skill-entry {
    flex:7;
    margin:5px;
  }

  .skill-level {
    border-left:1px solid #ccc;
    flex:1;
    display:flex;
    justify-content:center;
    align-items:center;
  }

  input.skill-level {
    margin:5px;
  }

  .remove_skill {
    border-radius:0px;
  }

  .edit_remove_skill {
    width:35px;
  }
}

.disabled {
    opacity:0.6;
}
